cancel
Showing results for 
Search instead for 
Did you mean: 
cancel

Quickstart: Upgrading IPS Appliances and Modules

663
Views
0
Helpful
0
Comments

BE ADVISED:  The SSC-5 can only run code up to 6.2(2)E4, the IPS-4215 can only run code up to 6.0(2)E4.

BE ADVISED:  All signatures have an "engine" version, i.e IPS-sig-S502-req-E4.pkg runs on the E4 engine, so if the sensor is not running x.y(z)E4, (6.2(2)E4, 7.0(4)E4 etc.), signature IPS-sig-S502-req-E4.pkg will not install.

1)    Download the update to a host that can connect to the IPS

Latest IPS software update:     link

Latest IPS signature update:   link

2)    Install the update via the GUI or CLI

  • GUI Instructions:
    Go to Configuration =>  Sensor Management => Update Sensor, then click on "Update  is located on this client", browse to the file, and then click "Update Sensor".


  • CLI Instructions:

     sensor# configure terminal
     sensor(config)# upgrade <url>/<filename>

     Enter password: <ftp/tftp/etc. password>
     yes

The URL points to the update file.  An FTP upgrade command might look like:
sensor(config)# upgrade  ftp://username@ip_address//directory/IPS-K9-7.0-4-E4.pkg


For a complete CLI guide, please refer to http://tools.cisco.com/squish/b54f1